<template>
  <div class="home-buttons">
    <div class="a-button">
      <nuxt-link :to="reserveRoute">Reservar</nuxt-link>
    </div>
    <div class="a-button">
      <nuxt-link :to="renewRoute">Renovar</nuxt-link>
    </div>
    <div class="a-button" v-if="logged">
      <nuxt-link :to="historyRoute">Ver Pedidos</nuxt-link>
    </div>
    <div class="a-button">
      <nuxt-link to="/termos">Termos de Uso</nuxt-link>
    </div>
  </div>
</template>

<script>
export default {
  computed: {
    logged() {
      return this.$store.getters.isUserLogged;
    },
    renewRoute() {
      return this.logged ? '/renovacao' : '/login';
    },
    reserveRoute() {
      return this.logged ? '/reserva' : '/login';
    },
    historyRoute() {
      return this.logged ? '/history' : '/login';
    }
  }
}
</script>

<style>
.home-buttons {
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-around;
  align-items: center;
  min-height: 35vh;
}

.a-button {
  width: 100%;

  text-align: center;

  padding: 0em 0.5em;
  border: 1px solid black;
  border-radius: 10px;
}
</style>
